/**
 * XEntityClassDocumentReceiving.java
 *
 * File generated from the medication::XEntityClassDocumentReceiving uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XEntityClassDocumentReceiving.
 *
 * 
 */

@XmlType(name = "XEntityClassDocumentReceiving")
@XmlEnum
@XmlRootElement(name = "XEntityClassDocumentReceiving")
public enum XEntityClassDocumentReceiving {
	@XmlEnumValue("HCE")
	HCE("HCE"),
	@XmlEnumValue("PSN")
	PSN("PSN"),
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("PUB")
	PUB("PUB"),
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    XEntityClassDocumentReceiving(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XEntityClassDocumentReceiving fromValue(String v) {
        for (XEntityClassDocumentReceiving c: XEntityClassDocumentReceiving.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}